SAXParserFactoryImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class SAXParserFactoryImpl

    java.lang.Object
      javax.xml.parsers.SAXParserFactory
          org.apache.xerces.jaxp.SAXParserFactoryImpl

    public class SAXParserFactoryImpl

extends javax.xml.parsers.SAXParserFactory

This is the implementation specific class for the `javax.xml.parsers.SAXParserFactory`. This is the platform default implementation for the platform.

Version:
  $Id: SAXParserFactoryImpl.java 447237 2006-09-18 05:03:10Z mrglavas $
Author:
  Rajiv Mordani, Edwin Goei

Constructor Summary
`SAXParserFactoryImpl()`

Method Summary
`boolean` | `getFeature(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`javax.xml.validation.Schema` | `getSchema()`
`boolean` | `isXIncludeAware()`
`javax.xml.parsers.SAXParser` | `newSAXParser()` Creates a new instance of `SAXParser` using the currently configured factory parameters.
`void` | `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.
`void` | `setSchema(javax.xml.validation.Schema grammar)`
`void` | `setXIncludeAware(boolean state)`

Methods inherited from class javax.xml.parsers.SAXParserFactory
`isNamespaceAware, isValidating, newInstance, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

Method Detail

### newSAXParser

    public javax.xml.parsers.SAXParser newSAXParser()
                                             throws javax.xml.parsers.ParserConfigurationException

  Creates a new instance of `SAXParser` using the currently configured factory parameters.

  Specified by:
    `newSAXParser` in class `javax.xml.parsers.SAXParserFactory`
  Returns:
    javax.xml.parsers.SAXParser
  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws javax.xml.parsers.ParserConfigurationException,
                           org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `setFeature` in class `javax.xml.parsers.SAXParserFactory`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws javax.xml.parsers.ParserConfigurationException,
                              org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `getFeature` in class `javax.xml.parsers.SAXParserFactory`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getSchema

    public javax.xml.validation.Schema getSchema()

  Overrides:
    `getSchema` in class `javax.xml.parsers.SAXParserFactory`

### setSchema

    public void setSchema(javax.xml.validation.Schema grammar)

  Overrides:
    `setSchema` in class `javax.xml.parsers.SAXParserFactory`

### isXIncludeAware

    public boolean isXIncludeAware()

  Overrides:
    `isXIncludeAware` in class `javax.xml.parsers.SAXParserFactory`

### setXIncludeAware

    public void setXIncludeAware(boolean state)

  Overrides:
    `setXIncludeAware` in class `javax.xml.parsers.SAXParserFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.